OcapRecordedService

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.dvr
Interface OcapRecordedService

All Superinterfaces:
  RecordedService, Service

    public interface OcapRecordedService

extends RecordedService

This interface represents a RecordedService in OCAP. The object returned when an applications calls the getService method on a RecordingRequest will be an instance of this interface.

Method Summary
`long` | `getRecordedBitRate()` Get the bit-rate used for encoding and storage of this recorded service.
`long` | `getRecordedSize()` Gets the size of the recording in bytes.
`boolean` | `isDecodable()` Determines if the recording has a format which can be decoded for presentation by the implementation, e.g., the bit rate, resolution, and encoding are supported.
`boolean` | `isDecryptable()` Determines if the recording can be decrypted by the implementation on the current network.

Methods inherited from interface org.ocap.shared.dvr.RecordedService
`delete, getFirstMediaTime, getMediaLocator, getMediaTime, getRecordedDuration, getRecordingRequest, getRecordingStartTime, setMediaTime`

Methods inherited from interface javax.tv.service.Service
`equals, getLocator, getName, getServiceType, hashCode, hasMultipleInstances, retrieveDetails`

Method Detail

### getRecordedBitRate

    long getRecordedBitRate()

  Get the bit-rate used for encoding and storage of this recorded service.

  Returns:
    Bit-rate in bytes per second.

### getRecordedSize

    long getRecordedSize()

  Gets the size of the recording in bytes.

  Returns:
    Space occupied by the recording in bytes.

### isDecryptable

    boolean isDecryptable()

  Determines if the recording can be decrypted by the implementation on the current network.

  Returns:
    True if the recording can be decrypted, otherwise returns false.

### isDecodable

    boolean isDecodable()

  Determines if the recording has a format which can be decoded for presentation by the implementation, e.g., the bit rate, resolution, and encoding are supported.

  Returns:
    True if the recording can be decoded, otherwise returns false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD